/*
 * 作成日: 2005/11/04
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
package aji;

import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.events.SelectionListener;
//import org.eclipse.swt.graphics.Color;
//import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.layout.*;
import org.eclipse.swt.widgets.*;
import org.eclipse.swt.SWT;
/**
 * @author Kazuya
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class SearchName2{
	Singleton instance = Singleton.getInstance();
	private Composite comp;
	public SearchName2(){
		
	}
	public void visiWin(){
		
	}
	Button button[] = new Button[49];
	int i=0;
	char a = 'あ';
	public void make_SearchName(){
	    GridLayout gridLayout = new GridLayout();
	    gridLayout.numColumns = 1; // Composite を置いたため、2 -> 1 に変更しました
	    gridLayout.marginHeight = 0;
	    gridLayout.marginWidth = 0;
	    gridLayout.horizontalSpacing = 0;
	    gridLayout.verticalSpacing = 0;
	    instance.getShell().setLayout(gridLayout);

	    GridData gridData;


	    // 上半分
	    Composite comp = new Composite(instance.getShell(), SWT.NULL); // shellが親
	    gridData = new GridData(GridData.FILL);
	    gridData.widthHint = 800; // 横幅を最低300確保
	    comp.setLayoutData(gridData);

	    gridLayout = new GridLayout();
	    gridLayout.numColumns = 10;
	    comp.setLayout(gridLayout);

	    	for(i=0;i<49;i++){
	    		button[i] = new Button(comp, SWT.PUSH);
	    		if(i == 37){
					button[37].setText("よ");
					a++;
					i = 40;
				}else{ 
					if(a == 'を' ||a == 'お' || a >= 'な' && a <= 'の' || a >= 'ま' && a <= 'め' || a >= 'ら' && a <= 'れ'){
						button[i].setText(a++ + " ");
					}else if(a == 'ち' || a >= 'は' && a <= 'ほ' || a == 'わ' ){
						button[i].setText(a++ + " ");
						a+=2;
					}else{
						button[i].setText(a++ + " ");
						a++;
					}
				}
	    		button[i].addSelectionListener(new SelectionListener(){ 	  	
					public void widgetSelected(SelectionEvent arg0) {
						// TODO 自動生成されたメソッド・スタブ
						//System.out.println(button[i].getText());	
					}
					public void widgetDefaultSelected(SelectionEvent arg0) {
						// TODO 自動生成されたメソッド・スタブ	
					}
				});
	    	}
	/* 
	    Button b1 = new Button(comp,SWT.PUSH);
	    Button b2 = new Button(comp,SWT.PUSH);
	    Button b3 = new Button(comp,SWT.PUSH);
	    Button b4 = new Button(comp,SWT.PUSH);
	    Button b = new Button(comp,SWT.PUSH);
	*/
	    }

}
